{
  "name": "@seaturtle/gmd-core",
  "version": "0.1.0",
  "description": "Core implementation of GraphQL Model Directives",
  "keywords": [],
  "type": "commonjs",
  "main": "./src/index.js",
  "exports": {
    ".": "./src/index.js",
    "./index.js": "./src/index.js",
    "./adapterData.js": "./src/adapterData.js",
    "./adapterGeneric.js": "./src/adapterGeneric.js",
    "./collections.js": "./src/collections.js",
    "./directives.js": "./src/directives.js",
    "./core.js": "./src/core.js",
    "./gql.js": "./src/gql.js",
    "./gqlUpload.js": "./src/gqlUpload.js",
    "./gqlTypes.js": "./src/gqlTypes.js",
    "./graphql.js": "./src/graphql.js",
    "./id.js": "./src/id.js",
    "./ids.js": "./src/ids.js",
    "./jwt.js": "./src/jwt.js",
    "./plugins.js": "./src/plugins.js",
    "./prepareSchema.js": "./src/prepareSchema.js",
    "./server.js": "./src/server.js",
    "./servers.js": "./src/servers.js",
    "./stores.js": "./src/stores.js",
    "./types.js": "./src/types.js"
  },
  "scripts": {},
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/seaturtle.dev/graphql-model-directives.git",
    "directory": "packages/core"
  },
  "author": "rolandpoulter",
  "license": "ISC",
  "dependencies": {
    "graphql-scalars": "^1.21.3",
    "graphql-tag": "2.12.6",
    "graphql-type-json": "0.3.2",
    "graphql-upload": "^16.0.2",
    "hashids": "2.2.11",
    "jsonwebtoken": "9.0.0",
    "nanoid": "^3.3.6",
    "shortid": "2.2.16"
  },
  "devDependencies": {},
  "peerDependenciesMeta": {
    "@seaturtle/gmd-core-directives": { "optional": true },
    "@seaturtle/gmd-core-types": { "optional": true },
    "@seaturtle/gmd-adapter-generic": { "optional": true },
    "@seaturtle/gmd-adapter-data": { "optional": true },
    "@seaturtle/gmd-plugin-authorize": { "optional": true },
    "@seaturtle/gmd-plugin-crypto": { "optional": true },
    "@seaturtle/gmd-plugin-email": { "optional": true },
    "@seaturtle/gmd-plugin-upload": { "optional": true },
    "@seaturtle/gmd-prepare-schema": { "optional": true },
    "@seaturtle/gmd-server-common": { "optional": true },
    "graphql": { "optional": true }
  },
  "peerDependencies": {
    "@seaturtle/gmd-core-directives": "x",
    "@seaturtle/gmd-core-types": "x",
    "@seaturtle/gmd-adapter-generic": "x",
    "@seaturtle/gmd-adapter-data": "x",
    "@seaturtle/gmd-plugin-authorize": "x",
    "@seaturtle/gmd-plugin-crypto": "x",
    "@seaturtle/gmd-plugin-email": "x",
    "@seaturtle/gmd-plugin-upload": "x",
    "@seaturtle/gmd-prepare-schema": "x",
    "@seaturtle/gmd-server-common": "x",
    "graphql": "16.x.x"
  }
}
